# $Id: qcad.pro,v 1.40 2004/02/03 22:12:53 andrew Exp $

TEMPLATE = app
#CONFIG += qt warn_on link_prl
CONFIG += qt warn_on
LIBS += -lqassistantclient

# These libs are usually not needed when using qt-mt.
# However, if you are getting undefined references, try linking these in:
#
#LIBS += -lXinerama -lXi -lXext -lSM -lICE -ldl -lpng -lXft -lXinerama -lXrandr -lXrender -lXcursor -lpthread -lXinerama -lXrandr
#LIBS += -L/usr/X11/lib -lXrender -lXft

# qcad libraries:
unix {
	LIBS += \
	        -L../../qcadguiqt/lib -lqcadguiqt \
	        -L../../qcadactions/lib -lqcadactions \
	        -L../../qcadcmd/lib -lqcadcmd \
	        -L../../qcadlib/lib -lqcad \
			-L../../dxflib/lib -ldxf \
			-L../../fparser/lib -lfparser
}

win32 {
	CONFIG += thread
	LIBS += ../../qcadguiqt/lib/qcadguiqt.lib \
	        ../../qcadactions/lib/qcadactions.lib \
	        ../../qcadcmd/lib/qcadcmd.lib \
	        ../../qcadlib/lib/qcad.lib \
		    ../../dxflib/lib/dxflib.lib \
		    ../../fparser/lib/fparser.lib
}

win32:RC_FILE = qcad.rc
unix:RC_FILE = qcad.icns

INCLUDEPATH += ../../fparser/include \
               ../../dxflib/include \
               ../../qcadlib/include \
               ../../qcadcmd/include \
               ../../qcadactions/include \
               ../../qcadguiqt/include


# detect Qt with threading:
#unix {
#	exists( $$(QTDIR)/lib/libqt-mt.so ) {
#		CONFIG += thread
#	}
#}


# detect support for the simple python interface
#win32 {
#	exists(../../python/lib/python23.lib) {
#		CONFIG += simple_python
#	}
#
#	simple_python {
#		LIBS        +=  -L../../python/lib -lpython23
#		INCLUDEPATH += ../../python/include
#		DEFINES     += RS_OPT_SIMPLEPYTHON
#	}
#}


# experimental python support
unix {
	#exists(/usr/include/python2.2/Python.h) {
	exists(/usr/lib/python2.2/config/libpython2.2.a) {
		CONFIG		+= python
		PYTHONPREFIX = /usr
	}

	#exists(/usr/local/include/python2.2/Python.h) {
	exists(/usr/local/lib/python2.2/libpython2.2.a) {
		CONFIG		+= python
		PYTHONPREFIX = /usr/local
	}

	! exists(/usr/lib/boost) {
		CONFIG -= python
	}

  python {
	LIBS        += -L$$PYTHONPREFIX/lib/python2.2/config -lpython2.2 \
		   -lpthread -lutil
	               #$$PYTHONPREFIX/lib/python2.2/lib-dynload/math.so \
		   #$$PYTHONPREFIX/lib/python2.2/lib-dynload/array.so
	INCLUDEPATH += $$PYTHONPREFIX/include/python2.2
	DEFINES     += RS_OPT_PYTHON
  }
}

HEADERS		= qc_applicationwindow.h \
              qc_dialogfactory.h \
              qc_graphicview.h \
			  qc_mdiwindow.h \
			  main.h
SOURCES		= qc_applicationwindow.cpp \
              qc_dialogfactory.cpp \
              qc_graphicview.cpp \
			  qc_mdiwindow.cpp \
              main.cpp 
TRANSLATIONS = ts/qcad_cs.ts \
               ts/qcad_en.ts \
               ts/qcad_da.ts \
               ts/qcad_de.ts \
               ts/qcad_el.ts \
               ts/qcad_fr.ts \
               ts/qcad_hu.ts \
			   ts/qcad_it.ts \
               ts/qcad_nl.ts \
               ts/qcad_no.ts \
               ts/qcad_ru.ts \
               ts/qcad_sk.ts \
			   ts/qcad_tr.ts
DESTDIR     = ..
TARGET = qcad
exists(/Resources) {
  message( "apple detected" )
  TARGET = QCad
}
OBJECTS_DIR = obj
MOC_DIR     = moc

exists( ../../defs.pro ) {
	include( ../../defs.pro )
}
